/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;


import com.rjconsultores.ventaboletos.dao.PtovtaTitularDAO;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.PtovtaTitular;
import com.rjconsultores.ventaboletos.service.PtovtaTitularService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaTitularService")
public class PtovtaTitularServiceImpl implements PtovtaTitularService {

    @Autowired
    private PtovtaTitularDAO ptovtaTitularDAO;

    public List<PtovtaTitular> obtenerTodos() {
        return ptovtaTitularDAO.obtenerTodos();
    }

    public PtovtaTitular obtenerID(Integer id) {
    	
    	PtovtaTitular ptovtaTitular = ptovtaTitularDAO.obtenerID(id);
		try {
			ptovtaTitular.clonar();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ptovtaTitular;
    }

    @Transactional
    public PtovtaTitular suscribir(PtovtaTitular entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaTitularDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaTitular actualizacion(PtovtaTitular entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaTitularDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaTitular entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaTitularDAO.actualizacion(entidad);
    }

    public List<PtovtaTitular> buscar(int id) {
        return ptovtaTitularDAO.buscar(id);
    }

    
}
